package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponOrderStatus {
    // 券状态 0-已领取/已购买/未核销/未使用/待使用,1:已核销/已使用,2:已过期,3:已作废
    // 卡状态 4-使用中 5-已过期 6-已用完 7-已线下退款

    COUPON_ORDER_USE_WAIT(0, "待使用"),//占库存
    COUPON_ORDER_USED(1, "已核销"),//占库存
    COUPON_ORDER_OVER_TIME(2, "已过期"),//占库存
    COUPON_ORDER_INVALID(3, "已作废"),

    CARD_USING(4, "使用中"),//占库存
    CARD_OVER_TIME(5, "已过期"),//占库存
    CARD_COMPLETE(6, "已用完"),//占库存
    CARD_RETURNED(7, "已线下退款"),
    CARD_TRANSFER(8, "已转赠"), //占库存  /// 此状态不在wx_coupon_order中使用，已移到transfer表

    POS_PRE_VERIFY(100, "POS预核销"), //占库存 // POS设置状态
    ;

    public static EnumCouponOrderStatus getEnum(Integer code) {
        for (EnumCouponOrderStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponOrderStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
